# OgreSkeleton.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreQuaternion.h"`
`#include "OgreVector3.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Skeleton
| A collection of Bone objects used to animate a skinned mesh. More...
class | Ogre::SkeletonPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to SkeletonPtr. More...
struct | Ogre::LinkedSkeletonAnimationSource
| Link to another skeleton to share animations. More...

## Defines

#define | OGRE_MAX_NUM_BONES 256

## Enumerations

enum | Ogre::SkeletonAnimationBlendMode { Ogre::ANIMBLEND_AVERAGE, Ogre::ANIMBLEND_CUMULATIVE }

## Define Documentation

#define OGRE_MAX_NUM_BONES 256

Definition at line 50 of file OgreSkeleton.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:22 2009